Get Workflow Execution Statistics
Retrieves statistics for given workflow run.
workflowId
executionId
The request is successful
{
"id": "string",
"activities": [
{
"id": "string",
"total-time": 0,
"number-of-executions": 0,
"number-of-transitions": 0,
"max-time": 0
}
],
"total-time": 0,
"number-of-transitions": 0,
"total-number-of-transitions": 0,
"token-size": 0,
"token-blocked": 0,
"token-system": 0,
"token-User": 0,
"token-wait": 0,
"plugins": [
{
"plugin-name": "string",
"total-time": 0,
"number-of-executions": 0
}
]
}
id
activities
total-time
number-of-transitions
total-number-of-transitions
token-size
token-blocked
token-system
token-User
token-wait
plugins
The request is invalid(validation error)
"WsWorkflowExecutionStatistics Object"
id
activities
total-time
number-of-transitions
total-number-of-transitions
token-size
token-blocked
token-system
token-User
token-wait
plugins
The user is not authorized
"WsWorkflowExecutionStatistics Object"
id
activities
total-time
number-of-transitions
total-number-of-transitions
token-size
token-blocked
token-system
token-User
token-wait
plugins
Cannot find a workflow with the specified ID or the user does not have 'read' access rights for that workflow
"WsWorkflowExecutionStatistics Object"
id
activities
total-time
number-of-transitions
total-number-of-transitions
token-size
token-blocked
token-system
token-User
token-wait
plugins
curl -H 'Authorization: <value>' https://{api_host}/vco/api/workflows/{workflowId}/executions/{executionId}/statistics